<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

/* ************************** */
/* ** Constants            ** */
/* ************************** */

// Version
define('CF_VERSION',            '0.1.b');

// Directories
define('CF_INCLUDE_DIR',        'include/');
define('CF_CLASSES_DIR',        'classes/');
define('CF_IMAGES_DIR',         'images/');
define('CF_TEMPLATE_DIR',       'template/');
define('CF_ADMIN_DIR',          'admin/');
// Path
define('CF_CLASSES',            CF_PATH.CF_CLASSES_DIR);
define('CF_INCLUDE',            CF_PATH.CF_INCLUDE_DIR);
define('CF_TEMPLATE',           CF_PATH.CF_TEMPLATE_DIR);
define('CF_ADMIN',              CF_PATH.CF_ADMIN_DIR);
define('CF_AMDIN_TPL',          CF_PATH.CF_ADMIN_DIR.CF_TEMPLATE_DIR);
// Files
define('CF_OBSOLETE',           'obsolete.list');
// Constants
define('CF_MENUBAR_KEY',        'contact_form');
define('CF_URL_PARAMETER',      'contact');
define('CF_SEPARATOR_PATTERN',  '||SEPARATOR HERE||');
define('CF_CHECKED',            'checked="checked"');
define('CF_SEPARATOR',          '=');
define('CF_SEPARATOR_LENGTH',   20);
// Config keys
if (isset($plugin)) {
  define('CF_CFG_DB_KEY',       $plugin['id']);
}
define('CF_CFG_DB_FACTORY',     'Factory settings for plugin %s [%s]');
define('CF_CFG_DB_COMMENT',     'Configuration of plugin %s [%s]');
define('CF_CFG_COMMENT',        'comment');
define('CF_CFG_VERSION',        'version');

define('CF_CFG_SUBJECT_PREFIX', 'cf_subject_prefix');
define('CF_CFG_SEPARATOR_LEN',  'cf_separator_length');
define('CF_CFG_SEPARATOR',      'cf_separator');
define('CF_CFG_ALLOW_GUEST',    'cf_allow_guest');

/* ************************** */
/* ** Includes             ** */
/* ************************** */

// Include plugin functions
@include_once(CF_INCLUDE.'cf_functions.inc.php');

// Load class files
cf_require_class("CF_Config");
cf_require_class("CF_Plugin");

/* ************************** */
/* ** Variable definitions ** */
/* ************************** */
global $conf;
$cf_config_default = array();
$cf_config_default[CF_CFG_SUBJECT_PREFIX] = $conf['gallery_title'].' - Contact Form';
$cf_config_default[CF_CFG_SEPARATOR_LEN] = CF_SEPARATOR_LENGTH;
$cf_config_default[CF_CFG_SEPARATOR] = CF_SEPARATOR;
$cf_config_default[CF_CFG_ALLOW_GUEST] = true;
CF_Config::$default_config = $cf_config_default;
?>